Bug 260681 - sysutils/autopsy: Deprecate and set expiration date to 2022-03-31
Summary: sysutils/autopsy: Deprecate and set expiration date to 2022-03-31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL: http://www.sleuthkit.org/autopsy/v2/
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-25 18:01 UTC by Daniel Engberg
Modified: 2022-01-18 23:02 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (fbsd)


Attachments
Patch for autopsy (500 bytes, patch)
2021-12-25 18:01 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-12-25 18:01:53 UTC
Created attachment 230393 [details]
Patch for autopsy

Very outdated, current version in tree was released back in 2010 and upstream is still active.
Project is now located at https://github.com/sleuthkit/autopsy/
Comment 1 Alexey Dokuchaev freebsd_committer 2021-12-28 07:31:18 UTC
(In reply to Daniel Engberg from comment #0)
> upstream is still active.
> Project is now located at https://github.com/sleuthkit/autopsy/
> Latest release: 4.19.3 (Dec 23, 2021)
I don't understand why deprecation is being requested rather than the update.  We typically do not deprecate non-broken maintained ports.
Comment 2 Daniel Engberg freebsd_committer 2021-12-31 15:26:53 UTC
If we have a very outdated version in tree that's unsupported upstream it makes sense from a security, tree (ports) maintence perspective.
Comment 3 commit-hook freebsd_committer 2022-01-18 22:58:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d4c495f17ff63557fe4e7b706182533d4d92bbb6

commit d4c495f17ff63557fe4e7b706182533d4d92bbb6
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2022-01-18 22:34:47 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2022-01-18 22:34:54 +0000

    sysutils/autopsy: Deprecate and set expiration date to 2022-03-31

    Unsupported version upstream, current version in tree was released
    back in 2010

    PR:             260681
    Approved by:    fbsd@dylanleigh.net (maintainer timeout, 3+ weeks)

 sysutils/autopsy/Makefile | 4 ++++
 1 file changed, 4 insertions(+)